|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QDesignerImageCollectionInterface Class Reference

    #include <QDesignerImageCollectionInterface>

Part of the QtDesigner module.

Inherits QObject.

- List of all members, including inherited members

### Public Functions

- QDesignerImageCollectionInterface ( QObject * parent = 0 )
- virtual ~QDesignerImageCollectionInterface ()
- virtual QDesignerFormEditorInterface * core () const = 0
- virtual int count () const = 0
- virtual QString fileName () const = 0
- virtual QString item ( int index ) const = 0
- virtual QString prefix () const = 0

- 28 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 4 static public members inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

## Member Function Documentation

### QDesignerImageCollectionInterface::QDesignerImageCollectionInterface ( QObject * parent = 0 )

### QDesignerImageCollectionInterface::~QDesignerImageCollectionInterface () `[virtual]`

### QDesignerFormEditorInterface * QDesignerImageCollectionInterface::core () const `[pure virtual]`

### int QDesignerImageCollectionInterface::count () const `[pure virtual]`

### QString QDesignerImageCollectionInterface::fileName () const `[pure virtual]`

### QString QDesignerImageCollectionInterface::item ( int index ) const `[pure virtual]`

### QString QDesignerImageCollectionInterface::prefix () const `[pure virtual]`